Subject: bug#11338: 24.1.50; read-buffer-completion-ignore-case fails on one-character names

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Dec 2020 18:20:48 +0100

Stephen Berman <[email-masked]> writes:

> 0. emacs -Q
> 1. M-x customize-option RET read-buffer-completion-ignore-case RET.
>    Toggle to "on", set for the current session.
> 2. Type `C-x b RET a', then `C-x b RET A', then `C-x b RET ahjk', then
>    switch to buffer *scratch*.
> 3. C-x b a TAB => Emacs correctly reports: "[Complete, but not unique]"
> 4. TAB => *Completions* buffer contains, as expected: A a ahjk.
> 5. C-x k ahjk RET.
> 6. C-x b a TAB => Emacs incorrectly reports: "[Sole completion]".
> 7. C-x b A TAB => Emacs incorrectly reports: "[Sole completion]".

(This bug report unfortunately got no response at the time.)

I tried this in Emacs 28, and I got:

So I'm going to go ahead and guess that this has been fixed at some
point in the years since this was reported, and I'm closing this bug
report.  If this is still and issue, please respond to the debbugs
address, and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no